APIs / Lemmy / Posts

Lemmy: Posts

Posts from Lemmy as JSON. 1 credit per successful call.

GET /v1/lemmy/postsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
communitystringRequiredUp to 200 characters
sortstringOptionalHot, Active, New, TopDay, TopWeek, TopMonth, TopYear, TopAll, MostComments, NewComments
type_stringOptionalAll, Local, Subscribed
limitintegerOptionalAny
page_cursorstringOptionalUp to 200 characters
instancestringOptionalUp to 253 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/lemmy/posts" \
  -H "X-API-Key: $API_KEY"